<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$can=mysqli_query($con,"SELECT MAX(mov_numero)as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$mov_numero=$dato['mov_numero']+1;
$can=mysqli_query($con,"SELECT MAX(mov_id)as mov_id FROM movimientos") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$mov_id=$dato['mov_id']+1;

$sql=mysqli_query($con,"SELECT cajas_caja_id, apertura, mca_estado from movimiento_caja where mca_usuario='$usu_id' and empresa='$empresa' and sucursal='$sucursal' and mca_estado='1'");
$rowa= mysqli_fetch_array($sql);
$apertura=$rowa['apertura'];
$cajas_caja_id=$rowa['cajas_caja_id']; 
  
$forma_pago=$_POST['forma_pago'];
$com_id=$_POST['com_id'];
$saldo=$_POST['saldo'];
$valor=$_POST['valor'];
$detalle=$_POST['detalle'];
$fecha=date('Y-m-d H:i:s');
$resta=$saldo-$valor;    

if ($forma_pago=='efectivo') 
{
    $regis=mysqli_query($con,"INSERT into compra_abonos (coab_abono,coab_fecha,forma_pago,medio_pago,mov_id,usuario,apertura,empresa,compras_com_id)
    VALUES  ('$valor','$fecha','$forma_pago','Efectivo','$mov_id','$usu_id','$apertura','$empresa','$com_id')") or die(mysqli_error($con));

    $registros=mysqli_query($con,"INSERT into movimientos (mov_id,mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
    VALUES  ('$mov_id','$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','Abono cxp','$detalle','$valor','salida','efectivo','Efectivo','$sucursal','$empresa')") or die(mysqli_error($con));  

} 
else
{
    $banco=$_POST['banco'];

    $regis=mysqli_query($con,"INSERT into compra_abonos (coab_abono,coab_fecha,forma_pago,medio_pago,mov_id,usuario,apertura,empresa,compras_com_id)
    VALUES  ('$valor','$fecha','$forma_pago','$banco','$mov_id','$usu_id','$apertura','$empresa','$com_id')") or die(mysqli_error($con));

    $registros=mysqli_query($con,"INSERT into movimientos (mov_id,mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
    VALUES  ('$mov_id','$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','Abono cxp','$detalle','$valor','salida','transferencia','$banco','$sucursal','$empresa')") or die(mysqli_error($con));  

} 

echo '<div class="alert alert-success alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<strong>Abono </strong>Registardo correctamente
</div>';

if($resta<=0)
{
    $sql=mysqli_query($con,"UPDATE compras Set
                       com_estado ='Pagado'
                        Where com_id='$com_id'") or die(mysqli_error($con));
?>
	<div class="alert alert-info alert-dismissable">
        <strong>La Compra ha sido pagada completamente</strong> <a href="#" class="alert-link"></a>
    </div>
<?php } ?>